document.getElementById("search").addEventListener('tap', function() {
	var id = this.getAttribute('href');
	var href = this.href;
	//	var type = this.getAttribute("open-type");
	mui.openWindow({
		id: id,
		url: href,
		//		styles: webview_style,
		show: {
			aniShow: "pop-in"
		}
		//		waiting: {
		//			autoShow: false
		//		}
	});
	//	mui('#offCanvasWrapper').offCanvas('close');
});

mui.init();
var getOption = function(chartType) {
	var chartOption = {
		legend: {
			data: ['上个月', '本月']
		},
		grid: {
			x: 35,
			x2: 10,
			y: 30,
			y2: 25
		},
		toolbox: {
			show: false,
			feature: {
				mark: {
					show: true
				},
				dataView: {
					show: true,
					readOnly: false
				},
				magicType: {
					show: true,
					type: ['line', 'bar']
				},
				restore: {
					show: true
				},
				saveAsImage: {
					show: true
				}
			}
		},
		calculable: false,
		xAxis: [{
			type: 'category',
			data: ['迟到', '早退', '旷工', '请假', '加班', '出差']
		}],
		yAxis: [{
			type: 'value',
			splitArea: {
				show: true
			}
		}],
		series: [{
			name: '上个月',
			type: chartType,
			data: [2, 1, 0, 3, 0, 1]
		}, {
			name: '本月',
			type: chartType,
			data: [1, 0, 0, 3, 2, 2]
		}]
	};
	return chartOption;
};
var byId = function(id) {
	return document.getElementById(id);
};
var barChart = echarts.init(byId('barChart'));
mui.plusReady(function() {
	barChart.setOption(getOption('bar'));
});
barChart.setOption(getOption('bar'));
//点击图形触发相应事件
barChart.on('click', function(param) {
		var mes = '【' + param.type + '】';
		if (typeof param.seriesIndex != 'undefined') {
			mes += '  seriesIndex : ' + param.seriesIndex;
			mes += '  dataIndex : ' + param.dataIndex;
		}
		if (param.type == 'hover') {
			console.log('Event Console : ' + mes);
		} else {
			console.log(mes);
		}
	})
	//侧滑容器父节点
var offCanvasWrapper = mui('#offCanvasWrapper');
//			 //主界面容器
//			var offCanvasInner = offCanvasWrapper[0].querySelector('.mui-inner-wrap');
//			 //菜单容器
//			var offCanvasSide = document.getElementById("offCanvasSide");
//			if (!mui.os.android) {
//				document.getElementById("move-togger").classList.remove('mui-hidden');
//				var spans = document.querySelectorAll('.android-only');
//				for (var i = 0, len = spans.length; i < len; i++) {
//					spans[i].style.display = "none";
//				}
//			}
//主界面‘显示侧滑菜单’按钮的点击事件
mui('#offCanvasShow').on('tap', function() {
	offCanvasWrapper.offCanvas('toggle');
});
//主界面和侧滑菜单界面均支持区域滚动；
mui('#offCanvasSideScroll').scroll();
mui('#offCanvasContentScroll').scroll();
//根据推送的信息设置角标存储
function setBadgeJson(p) {
	var badges = common.getBadge();
	var isHas = false;
	for (var i = 0; i < badges.length; i++) {
		if (badges[i].Type == p.Type) {
			isHas = true;
			badges[i] = p;
			break;
		}
	}
	if (!isHas) {
		badges.push(p);
	}
	common.saveBadge(badges);
	return badges;
}
var statusP = 1; //前台
window.Msgs = []; //消息缓存,避免刚打开网络很多消息传入
function shownotice() {
	if (window.Msgs != undefined && window.Msgs.length > 0) {
		for (var i = 0; i < window.Msgs.length; i++) {
			var badges = setBadgeJson(window.Msgs[i]); //设置所有页面的角标
			common.setAllViewBadge(badges);
		}
		var jsontemp = window.Msgs[window.Msgs.length - 1]; //取最后一条来显示
		if (statusP == 2) {
			var titlestr = "";
			if (jsontemp.Type == "1")
				titlestr = "待办工作";
			else if (jsontemp.Type == "2")
				titlestr = "单据申请";
			var options = {
				cover: true,
				title: titlestr
			};
			var content = jsontemp.Msg;
			plus.push.createMessage(content, "LocalMSG", options);
		} else
			plus.device.vibrate(1000); //震动
		window.Msgs = [];
	}
}
setInterval(shownotice, 5000); //4秒读取队列显示角标
//监听plusready事件  
document.addEventListener("plusready", function() {
	document.addEventListener("pause", function() {
		statusP = 2; //后台
		console.log(statusP);
	}, false);
	document.addEventListener("resume", function() {
		statusP = 1;
		console.log(statusP);
	}, false);
	plus.push.addEventListener("click", function(msg) {
		plus.push.clear();
	}, false);
	plus.push.addEventListener("receive", function(msg) { // 监听在线消息事件
		var p = msg.payload;
		if (msg.aps) { // Apple APNS message
		} else {}
		var jsontemp = "";
		try {
			jsontemp = JSON.parse(msg.payload);
		} catch (ex) {}
		if (jsontemp == "" || jsontemp == undefined || jsontemp == null)
			return;
		window.Msgs.push(jsontemp); //插入缓存
	}, false);
}, false);
mui('.mui-btn').each(function() {
	this.addEventListener("tap", function() {
		mui.openWindow({
		id: "check-in.html",
		url: "check-in.html",
		//		styles: webview_style,
		show: {
			aniShow: "pop-in"
		}
		//		waiting: {
		//			autoShow: false
		//		}
	});
//		punchcard(this);
	});
});
//打卡
//function punchcard(ele) {
//
//	var waiter = plus.nativeUI.showWaiting("打卡中...");
//	plus.geolocation.getCurrentPosition(function(p) { //成功
//
//		waiter.close();
//		plus.nativeUI.toast("打卡成功:" + p.coords.latitude);
//		//					common.PostData(setting.companyUrl + common.ServerApiUrls.PunchCard, "", "", 'json', function(result) {
//		//						
//		//					});
//		ele.setAttribute("disabled", "disabled");
//		ele.setAttribute("class", "mui-btn mui-btn-success mui-icon mui-icon-checkmarkempty mui-pull-right");
//		ele.innerText = "已打卡";
//
//	}, function(e) { //失败
//		switch (e.code) {
//			case e.PERMISSION_DENIED:
//				plus.toast.alert("系统不允许程序获取定位功能");
//				break;
//			case e.POSITION_UNAVAILABLE:
//				plus.toast.alert("无法获取有效的位置信息");
//				break;
//			case e.TIMEOUT:
//				plus.toast.alert("无法在指定的时间内获取位置信息");
//				break;
//			case e.UNKNOWN_ERROR:
//				plus.toast.alert("其它未知错误导致无法获取位置信息");
//				break;
//		}
//
//		waiter.close();
//
//	}, {
//		enableHighAccuracy: true,
//		timeout: 3000,
//		maximumAge: 3000,
//		provider: "baidu"
//	});
//}

function RegisterEquipment() { //需要向服务器注册设备信息以便推送信息
	//					var oXhr = new plus.net.XMLHttpRequest();
	//					var info = plus.push.getClientInfo();
	//					var clientId = info.clientid;
	//					var atURL = plus.storage.getItem("companyPath"); //企业url
	//					var userId = plus.storage.getItem("username"); //用户
	//					var deviceType = '1';
	//					var surl = atURL + "api/Device/DeviceLogin?userId=" + userId + "&clientId=" + clientId + "&deviceType=" + deviceType;
	//					console.log(surl);
	//					oXhr.onreadystatechange = function() {
	//						if (oXhr.readyState == 4 && oXhr.status == 200) {
	//							var result = JSON.parse(oXhr.responseText);
	//							console.log(result.message);
	//						}
	//					}
	//					oXhr.open("GET", surl);
	//					oXhr.setRequestHeader('Authorization', 'Bearer ' + plus.storage.getItem("token"));
	//					oXhr.send();
}