var styles = {
	popGesture: "none"
}; //关闭ios右滑关闭窗体

mui.ready(function() {
	//主列表点击事件
	mui('#offCanvasSide').on('tap', 'a', function() {
		mui('#offCanvasWrapper').offCanvas("close");
		var id = this.getAttribute('href');
		
		var href = this.href;
		var currentId = plus.webview.currentWebview().id;
		if (currentId == id)
			return;
		
		setTimeout(function() {

			var win = plus.webview.getWebviewById(id);
			if (win) { //已经创建过了
				console.log("has");
				plus.nativeUI.showWaiting();
				mui.fire(win, 'setPersonInfoAndCWin', {
					vid: id
				});
			} else {
				console.log("nohas");

				var win = mui.openWindow({
					id: id,
					url: href,
					styles: styles,
					show: {
						aniShow: "none"
					}
				});

			}

		}, 600); //等待左侧滑关闭

	});
});


//设置html角标
function setHtmlBadges(badgesJson) {
	var allcount = 0;
	for (var i = 0; i < badgesJson.length; i++) {
		var o = badgesJson[i];
		if (plus.webview.currentWebview().id == '../message/message.html') { //消息页面需要显示列表的角标
			var span = null;
			var spantext = null;

			if (o.Type == "1") {
				span = document.getElementById("applyMessagedb"); //待办工作
				spantext = document.getElementById("applyMessagedbmsg");
			} else if (o.Type == "2") {
				span = document.getElementById("myapplyMessagedb"); //单据申请
				spantext = document.getElementById("myapplyMessagedbmsg");
			}

			if (span != null && spantext != null) {

				if (o.Count == "0") {
					span.removeAttribute("class");
					span.innerText = "";
					//spantext.innerText="";不置空保留上一次记录
				} else {
					span.setAttribute("class", "mui-badge-danger mui-badge");
					span.innerText = o.Count;
					spantext.innerText = o.Msg;
				}
			}
		}
		allcount += Number(o.Count);
	}

	var links = document.getElementsByTagName("a");
	for (var i = 0; i < links.length; i++) {
		if (links[i].getAttribute("href") == "../message/message.html") { //更新消息链接的角标
			if (allcount > 0)
				links[i].innerHTML = "消息" + "<span class=\"mui-badge  mui-badge-danger\">" + allcount + "</span></a>";
			else
				links[i].innerHTML = "消息";
		} else if (links[i].getAttribute("href") == "#offCanvasSide") { //更新菜单的角标
			if (allcount > 0)
				links[i].innerHTML = "<span class=\"mui-badge-danger mui-badge\" style=\"top:8px;\">" + allcount + "</span>";
			else
				links[i].innerHTML = "";
		}
	}

}

window.addEventListener('loginsetPersonInfo', function(event) {
	console.log("loginsetPersonInfo");
	var currentId = plus.webview.currentWebview().id;
	if (currentId == "../attendance/attendance.html") {
		setPersonInfo();
		plus.nativeUI.closeWaiting();
		plus.webview.currentWebview().show("none");
	}
});

//设置个人信息
window.addEventListener('setPersonInfo', function(event) {
	setPersonInfo();
});

//设置个人信息并关闭窗口
window.addEventListener('setPersonInfoAndCWin', function(event) {
	console.log('setPersonInfoAndCWin');
	setPersonInfo();
	var id = event.detail.vid;
	console.log(id);
	if (id == "../contract/contract.html")
		setContract();
	else if (id == "../my/account-information.html")
		setAccountInfo();
	setTimeout(function() {
		plus.webview.currentWebview().show("none", 300);
		plus.nativeUI.closeWaiting();
	}, 400); //加时间缓冲dom的第一次载入
});




function setPersonInfo() {
	//加载联系人信息
	var status = common.getState();
	if (status != null) {
		$("#leftMenuPerson").html(
			$("#leftMenuPersonTmpl").render(status)
		);
	}
	console.log("setPersonInfo");
}

mui.plusReady(function() {

	//show在苹果不触发
	//	plus.webview.currentWebview().addEventListener("show", function() {
	//		console.log("show");
	//		setPersonInfo();
	//		var badges = common.getBadge();
	//		setHtmlBadges(badges);
	//	}, false);

	if (!plus.webview.defauleHardwareAccelerated() && parseInt(plus.os.version) >= 5) {
		styles.hardwareAccelerated = true;
	} else
		styles.hardwareAccelerated = false;

	var webv = plus.webview.currentWebview();
	if (webv.id != "../attendance/attendance.html")
		setPersonInfo();


	//第一次加载设置角标
	var badges = common.getBadge();
	setHtmlBadges(badges);


	window.addEventListener("setViewbadges", function() {
		//设置角标
		var badges = common.getBadge();
		setHtmlBadges(badges);
	});

	window.addEventListener("setHtmlBadgesOut", function(event) {
		//设置角标不需要读存储
		setHtmlBadges(event.detail.obj);
	});
});