mui.init();
mui.ready(function() {
	document.getElementById('cpsw').addEventListener("tap", function() {
		var opsw = document.getElementById('opassword').value || '';
		var npsw = document.getElementById('npassword').value || '';
		var ncpsw = document.getElementById('ncpassword').value || '';
		if (opsw.length == 0) {
			plus.nativeUI.toast('请输入旧密码');
			return;
		}
		if (npsw.length == 0) {
			plus.nativeUI.toast('请输入新密码');
			return;
		}
		if (ncpsw.length == 0) {
			plus.nativeUI.toast('请输入确认密码');
			return;
		}
		if (ncpsw != npsw) {
			plus.nativeUI.toast('新密码与确认密码不一致');
			return;
		}
		var status = common.getState();
		if (status && status.UserData) {
			//请求数据
			common.PostData(common.baseUrl + common.ServerApiUrls.ChangePsw, {
				id: status.UserData.id,
				oldPwd: opsw,
				newPwd: npsw
			}, "application/json", null, function(data) {
				if (data && data.newPwdStateEnum) {
					if (data.newPwdStateEnum == 0)
						plus.nativeUI.toast("修改密码失败");
					else if (data.newPwdStateEnum == 1) {
						plus.nativeUI.toast('修改成功');
						setTimeout(function() {
							mui.back();
						}, 1000);
					} else if (data.newPwdStateEnum == 2)
						plus.nativeUI.toast("系统错误");
					else if (data.newPwdStateEnum == 3)
						plus.nativeUI.toast("原始密码不正确");
					else if (data.newPwdStateEnum == 4)
						plus.nativeUI.toast("该用户不存在");
				} else
					plus.nativeUI.toast("修改密码失败");
			}, function(result) {
				plus.nativeUI.toast(result);
			});
		}
	});
});