//加载工资信息
var salaryTmpl = $.templates("#salaryTmpl");
var salary = {
	realSalary: 5780,
	totalSalary: 7900,
	totalChargeback: 2120,
	salaryItems: [{
		itemName: '基本工资',
		itemValue: 1500
	}, {
		itemName: '绩效工资',
		itemValue: 3000
	}, {
		itemName: '绩效奖金',
		itemValue: 300
	}, {
		itemName: '加班费',
		itemValue: 3000
	}, {
		itemName: '报销',
		itemValue: 300
	}],
	chargebackItems: [{
		itemName: '迟到扣款',
		itemValue: 100
	}, {
		itemName: '请假扣款',
		itemValue: 200
	}, {
		itemName: '社保扣款',
		itemValue: 120
	}]
};

var html = salaryTmpl.render(salary,{formatMoney:function(num) {
	num = num.toString().replace(/\$|\,/g, '');
	if (isNaN(num)) {
		num = "0";
	}
	sign = (num == (num = Math.abs(num)));
	num = Math.floor(num * 100 + 0.50000000001);
	cents = num % 100;
	num = Math.floor(num / 100).toString();
	if (cents < 10)
		cents = "0" + cents;
	for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
		num = num.substring(0, num.length - (4 * i + 3)) + ',' +
		num.substring(num.length - (4 * i + 3));
	return '￥' + (((sign) ? '' : '-') + num + '.' + cents);
}});
$("#salary").html(html);
